# User Documentation

## Logging In

1. Go to the address of the AccountHub server in your web browser (Firefox, Chrome, etc.).  This address will be supplied by your IT staff or Netsyms Business Support.
2. Enter your username and password.
    * Do not enter your email address.
    * Passwords are case-sensitive.
3. If you have setup a 2-factor authentication app, AccountHub will ask you for a code.  Open the app on your phone or other device and type the displayed code.
    * The code changes every 30 seconds.  If you don't submit the code in that time window, it will be considered incorrect and you will have to go back to step 2.
4. You are now logged in.

### Login Troubleshooting
There are some common error messages you may see while logging in.  Here's what they mean annd what you can do about them.

* __Login incorrect.__
    This means you have entered an incorrect username or password.  Try again.
* __Authentication code incorrect.__
    The 2-factor authentication code you entered was either wrong or expired.  Log in and try again.
* __This account has been disabled. Contact technical support.__
    Your account has been marked as disabled by your IT staff.  Contact them to resolve the issue.
* __Account terminated.  Access denied.__
    The user account has been closed by your IT staff.  Contact them to resolve the issue.
* __Your account state is not stable.  Log out, restart your browser, and try again.__
    Your account is not syncronized between the Portal server and the Active Directory domain controller.  Log out (if you are logged in), close your web browser, and start over.  If you continue to see this error, try clearing your cookies and cache or contact your IT department.
* __You must change your password before continuing.__
    Your password has been marked by IT staff or an automatic process as requiring a reset before you can log in.
    
### Changing your Password during Login
If your password has expired, you will need to change it before logging in.  Type your current password and new password where prompted on the screen.  You will need to type your new password twice.  Press Continue.  If your current password is correct, you entered the new password correctly, and your new password meets the security requirements, your password will be updated and you will be able to login as usual.

## Home Page (Dashboard)
The dashboard, or home page, is what you will see after logging in.  It shows you a brief overview of your account, with information taken from all the different Business Apps.

### Using the Dashboard

There are various "widgets" on the dashboard.  They display relevant information from the other Business Apps.  You can use them to quickly view important information or perform common tasks, such as viewing assigned tasks from TaskFloor or punching in or out with QwikClock.

### Navigating between apps

Near the top of the dashboard, you will see a row of icons.  You can click on these icons to go to other apps.  To return to the dashboard from the other apps, click your name in the bar near the top of the screen.

## Account Options

To manage account options, click on Account Options in the top bar of AccountHub.

### Sync Mobile App

If you wish to access the Business Apps from your smartphone or tablet, you can download Business Apps for Mobile on your device.  The first time you open the app, you will be told to scan a sync code.

#### Pairing the Mobile App
To generate a sync code, go to Account Options in AccountHub, and press `Create new sync code` under `Sync Mobile App`.  Follow the instructions on your smartphone or tablet to scan the code and finish the setup process.  If you cannot scan the code for whatever reason, press `Manual Setup` on your phone and type the details shown below the sync code in AccountHub.

#### Unpairing the Mobile App
From your Account Options in AccountHub, press the red trash can icon next to the sync key.  The mobile app will no longer work until it is re-paired with a new key.

If your phone or tablet was lost or stolen, you should also change your password, because the password is stored on the phone or tablet to facilitate automatic login.  If your phone or tablet was not lost or stolen, you should open the settings in Business Apps for Mobile and clear all saved data.

#### Updating your Password
The mobile app saves your password so you don't have to type it every time.  If you change your password, you will need to tell the mobile app the new password.  Open the app settings, press the proper button, and enter your new password.

### Change Password
Type your current password and new password where prompted on the screen.  You will need to type your new password twice.  Press `Change password`.  If your current password is correct, you entered the new password correctly, and your new password meets the security requirements, your password will be updated.

### Setup 2-factor authentication

2-factor authentication, or 2FA, is the security practice of using a continually-changing code to make it much harder to hack in to an account.  The Business Apps support TOTP, a common 2FA method.  With 2FA enabled, you will be asked for a six-digit code in addition to your password.  This code will be shown on an app on your phone or other device, and changes every 30 seconds.

#### Enable 2FA
To setup TOTP 2-factor authentication, download an app such as Google Authenticator on your phone.  In AccountHub, press `Enable 2-factor authentication`, add the barcode with your mobile authenticator app, and press `Finish setup` in AccountHub.

#### Disable 2FA
To disable 2FA, press `Disable 2-factor authentication` from the Account options in AccountHub.  If you are unable to log in due to not having a 2FA code, tech support can remove 2FA from your account for you.